gridster-item([item]="gridItem", [id]="workflowModule.id")
  ryax-module-identifier([kind]="workflowModule.kind")
  .node-container((mouseup)="onSelectNode()")
    ryax-logo-avatar.module-avatar.mr1([logoSrc]="logoUrl")
    span.node-title(nz-text, nzEllipsis, [nzEllipsisRows]="2") {{ displayName }}
  .node-actions
    ryax-confirm-button(*ngIf="isSelected", icon="delete", iconColor="red", size="small", shape="circle", tooltipText="Delete module",
      confirmText="Are you sure to delete this module ?", confirmOkText="Delete", [disabled]="disableDelete", (confirmOk)="onDelete()")
    ryax-action-button(*ngIf="isValid", icon="check-circle", iconColor="#52c41a", size="small", shape="circle", tooltipText="Module setup correctly")
    ryax-action-button(*ngIf="isInvalid", icon="exclamation-circle", iconColor="#fa8c16", size="small", shape="circle",
      tooltipText="Module is not configured correctly and prevent workflow to be deployed.")
    ryax-action-button(*ngIf="isDeploying", icon="play-circle", iconColor="#1890ff", size="small", shape="circle",
      tooltipText="Module is currently deploying. Click here to view more on module deployment information")
    ryax-action-button(*ngIf="isDeployed", icon="play-circle", iconColor="#52c41a", size="small", shape="circle",
      tooltipText="Module is currently deployed. Click here to view more on module deployment information")
    ryax-action-button(*ngIf="isUndeploying", icon="clock-circle", iconColor="#fad231", size="small", shape="circle",
      tooltipText="Module is currently undeploying. Click here to view more on module deployment information")
